%define nprog     named
%define lprog     lwresd
%define ver       9.5.2
%define rel       P4

%define sdbldap   1.1.1
%define sdbmysql  0.2

%define sel_modn  selinux-policy-addon
%define sel_modv  0.2.2


Summary:          The Berkeley Internet Name Domain (BIND) server
Name:             bind
Version:          %{ver}
Release:          1%{?rel:.%{rel}}%{?dist}%{?pext}
Epoch:            30
License:          GPL
Group:            System Environment/Daemons
Source0:          http://ftp.isc.org/isc/bind9/%{ver}%{?rel:-%{rel}}/%{name}-%{ver}%{?rel:-%{rel}}.tar.gz
Source1:          %{nprog}.init
Source2:          %{lprog}.init
Source3:          %{nprog}.sysconfig
Source4:          %{nprog}-config.tgz
Source5:          %{nprog}-data.tgz
Source10:         http://bind9-ldap.bayour.com/bind9-ldap_CVS-HEAD_20081205.tar.gz
Source11:         http://dl.sourceforge.net/sourceforge/mysql-%{name}/mysql-%{name}-%{sdbmysql}.tar.gz
Patch0:           %{name}-9.5.0-configure_x86_64.patch
Patch1:           %{name}-9.5.0-libbind_install.patch
Patch2:           %{name}-9.3.1-runtime_path.patch
Patch3:           %{name}-9.3.1-sdb_notify.patch
Patch4:           %{name}-9.5.0-sdb_extra.patch
Patch5:           %{name}-9.5.0-sdb_driver.patch
Patch10:          %{name}-9.5.0-sdb_bdb_build.patch
Patch11:          %{name}-9.3.3-sdb_bdb_zone2bdb.patch
Patch20:          bind9-ldap-1.1.1-build.patch
Patch21:          bind9-ldap-1.1.1-ldapdef.patch
Patch22:          bind9-ldap-1.1.1-ldapinit.patch
Patch30:          mysql-%{name}-0.2-build.patch
Patch40:          %{name}-9.3.2-sdb_pgsqldb_build.patch
Patch41:          %{name}-9.5.2-sdb_pgsqldb_zone2pgsql.patch
URL:              http://www.isc.org/software/%{name}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Internet Systems Consortium, Inc.
Provides:         nameserver lwresolver
Requires:         %{name}-libs = %{epoch}:%{version}-%{release}
Requires:         %{name}-utils = %{epoch}:%{version}-%{release}
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service
BuildRequires:    cyrus-sasl-devel db4-devel krb5-devel
BuildRequires:    libcap-devel libxml2-devel openldap-devel
BuildRequires:    openssl-devel mysql-devel sqlite-devel
BuildRequires:    postgresql-devel
Conflicts:        %{name}-lwresd

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named), which
resolves hostnames to IP addresses; a lightweight resolver daemon (lwresd);
a resolver library (routines for applications to use when interfacing with
DNS); and tools for verifying the operation of DNS servers.


%package          devel
Summary:          Development tools for the BIND server
Group:            Development/Libraries
Requires:         %{name}-libs = %{epoch}:%{version}-%{release}
Requires:         krb5-devel libcap-devel libxml2-devel
Requires:         openssl-devel zlib-devel

%description      devel
This package contains the static libraries and header files for developing
software with ISC BIND 9.


%package          doc
Summary:          Documentation for the BIND server
Group:            Documentation

%description      doc
This package contains useful documentation for operating an ISC BIND server.


%package          libbind-devel
Summary:          Development tools for the BIND resolver library
Group:            Development/Libraries
Requires:         %{name}-libs = %{epoch}:%{version}-%{release}

%description      libbind-devel
This package contains the static libraries and header files for the libbind
BIND resolver library, compatible with that from ISC BIND 8.


%package          libs
Summary:          Libraries used by BIND
Group:            System Environment/Libraries

%description      libs
This package contains all runtime libraries used by the BIND server, the
lightweight resolver and the utilities.


%package          lwresd
Summary:          The lightweight BIND stub resolver
Group:            System Environment/Daemons
Provides:         lwresolver
Requires:         %{name}-libs = %{epoch}:%{version}-%{release}
Requires:         %{name}-utils = %{epoch}:%{version}-%{release}
Conflicts:        %{name}

%description      lwresd
This package contains the new lightweight BIND stub resolver daemon, which
in conjunction with the resolver library is supporting forward and reverse
DNS lookups of both IPv4 and IPv6 addresses. This part is still considered
experimental and is not (yet) a complete replacement for the BIND8 resolver
library.


%package          lwresd-selinux
Summary:          SELinux support for the BIND stub resolver
Group:            System Environment/Base
Requires:         %{name}-lwresd = %{epoch}:%{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      lwresd-selinux
This package enables the lightweight BIND stub resolver to work with SELinux.


%package          sdb
Summary:          The BIND server with database backends
Group:            System Environment/Daemons
Requires:         %{name} = %{epoch}:%{version}-%{release}

%description      sdb
This package contains an extended BIND server daemon, which includes support
for the BIND SDB (Simplified Database Backend) to use alternative (read-only)
zone database backends (eg. LDAP), in addition to the standard in-memory RBT
(Red Black Tree) backend.


%package          selinux
Summary:          SELinux support for the BIND server
Group:            System Environment/Base
Requires:         %{name} = %{epoch}:%{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      selinux
This package enables the BIND server to work with SELinux.


%package          utils
Summary:          Utilities for querying DNS servers
Group:            Applications/System
Requires:         %{name}-libs = %{epoch}:%{version}-%{release}

%description      utils
This package contains a collection of utilities for querying DNS (Domain Name
System) servers to get information about Internet hosts. These tools will list
IP addresses for given host names, as well as other information about registered
domains and networks.


%prep
%setup -q %{?rel:-n %{name}-%{ver}-%{rel}} -a 10 -a 11

# Prepare SDB support
%{__cp} -p bin/named/main.c bin/named/main_sdb.c

# Fix configure search path
%patch0 -p1

# Fix libbind header path
%patch1 -p1

# Fix runtime paths
%patch2 -p1

# Configure SDB
%patch3 -p1
%patch4 -p1
%patch5 -p1

# SDB BDB enhancements/fixes
%patch10 -p0
%patch11 -p0

# SDB LDAPDB enhancements/fixes
pushd bind9-ldap
%patch20 -p1
%patch21 -p1
%patch22 -p1
popd

# SDB MYSQL enhancements/fixes
pushd mysql-%{name}-%{sdbmysql}
%patch30 -p1
popd

# SDB PGSQLDB enhancements/fixes
%patch40 -p0
%patch41 -p0

# Prepare SDB sources
%{__cp} contrib/sdb/bdb/README README.bdb
%{__cp} contrib/sdb/bdb/bdb.h bin/named/include
%{__cp} contrib/sdb/bdb/bdb.c bin/named
%{__cp} contrib/sdb/bdb/zone2bdb.c .

%{__cp} contrib/sdb/dir/dirdb.h bin/named/include
%{__cp} contrib/sdb/dir/dirdb.c bin/named

pushd bind9-ldap
%{__cp} CHANGES ../ChangeLog.ldap
%{__cp} README ../README.ldap
%{__cp} README.ldap2zone ..
%{__cp} README.zone2ldap ..
%{__cp} README.wildcard ../README.ldap-wildcard
%{__cp} schema/dnszone-schema.txt ../dnszone.schema
%{__cp} ldapdb.h ../bin/named/include
%{__cp} ldapdb.c ../bin/named
popd

pushd mysql-%{name}-%{sdbmysql}
%{__cp} ChangeLog ../ChangeLog.mysql
%{__cp} COPYING ../COPYING.mysql
%{__cp} README ../README.mysql
%{__cp} mysqldb.h ../bin/named/include
%{__cp} mysqldb.c ../bin/named
%{__cp} zonetodb.c ../zone2mysql.c
popd

%{__cp} contrib/sdb/pgsql/pgsqldb.h bin/named/include
%{__cp} contrib/sdb/pgsql/pgsqldb.c bin/named
%{__cp} contrib/sdb/pgsql/zonetodb.c zone2pgsql.c

%{__cp} contrib/sdb/sqlite/README.sdb_sqlite README.sqlite
%{__cp} contrib/sdb/sqlite/sqlitedb.h bin/named/include
%{__cp} contrib/sdb/sqlite/sqlitedb.c bin/named
%{__cp} contrib/sdb/sqlite/zone2sqlite.c .

# Fix path to Perl
for FILE in `find . -type f -exec fgrep -l "/bin/perl" {} \;`; do
  %{__perl} -i -pe 's+(/.*)?/bin/perl+%{__perl}+g' ${FILE}
done

# Prepare docs
%{__cp} -rpd doc doc_inst

pushd doc_inst
find . -depth -type f -name "Makefile*" -exec %{__rm}    -f {} \;
find . -depth -type f -name "*.pl"      -exec %{__rm}    -f {} \;
find . -depth -type f                   -exec %{__chmod} -x {} \;
%{__rm} -f draft/update rfc/fetch rfc/index
popd

# Cleanup
find . -depth -type d -name CVS        -exec %{__rm} -rf {} \;
find . -depth -type f -name .cvsignore -exec %{__rm} -f  {} \;


%build
# Build IDNkit
IDNKITDIR="`pwd`/idnkit-install"
%{__mkdir_p} ${IDNKITDIR}

pushd contrib/idn/idnkit-1.0-src
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"

%configure \
	--enable-mdnkit-compat \
	--enable-extra-ace     \
	--enable-runidn        \
	--enable-shared        \
	--enable-static

%{__make} %{?_smp_mflags}

%{__make} \
	DESTDIR=${IDNKITDIR} \
	install
popd

# Build BIND
%configure \
	--sysconfdir=%{_sysconfdir}/%{nprog}           \
	--localstatedir=%{_localstatedir}/lib/%{nprog} \
	--enable-threads                               \
	--enable-largefile                             \
	--enable-shared                                \
	--enable-static                                \
	--enable-libbind                               \
	--enable-ipv6                                  \
	--enable-fixed-rrset                           \
	--with-libtool=yes                             \
	--with-openssl=%{_prefix}                      \
	--with-gssapi=yes                              \
	--with-libxml2=%{_prefix}                      \
	--with-idn=${IDNKITDIR}%{_prefix}              \
	--disable-openssl-version-check   # Useless on RedHat

%{__make} depend
%{__make} #%{?_smp_mflags}

# Build SDB tools
build_sdbtool() {
%{__cc} \
	-I%{_includedir}             \
	-Ilib/dns/include            \
	-Ilib/isc/include            \
	-Ilib/isc/unix/include       \
	-Ilib/isc/pthreads/include   \
	${2}                         \
	-D_REENTRANT                 \
	-c ${1}.c

%{__cc} \
	-Llib/dns/.libs -ldns        \
	-Llib/isc/.libs -lisc        \
	-L%{_libdir} -lnsl -lpthread \
	${3}                         \
	${1}.o -o ${1}
}

build_sdbtool zone2bdb    "-I%{_includedir}/db4"   "-ldb"
build_sdbtool zone2mysql  "-I%{_includedir}/mysql" "-L%{_libdir}/mysql -lmysqlclient"
build_sdbtool zone2pgsql  ""                       "-lpq"
build_sdbtool zone2sqlite ""                       "-lsqlite3"

pushd bind9-ldap
%{__make} SECUREBIND=1 LDAPDB_TLS=1
popd


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{%{nprog},sysconfig}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/{lib,log,run}/%{nprog}

# Install IDNkit
pushd contrib/idn/idnkit-1.0-src
%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install
popd

# Install BIND
%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/%{nprog}
%{__install} -m 0755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_initrddir}/%{lprog}

%{__install} -m 0644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{nprog}

%{__tar}    xzf %{SOURCE4}   -C ${RPM_BUILD_ROOT}%{_sysconfdir}/%{nprog}
%{__tar}    xzf %{SOURCE5}   -C ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{nprog}

# Install SDB tools
%{__install} -m 0755 {zone2bdb,zone2mysql,zone2pgsql,zone2sqlite} \
	${RPM_BUILD_ROOT}%{_bindir}

pushd bind9-ldap
%{__install} -m 0755 {ldap2zone,zone2ldap} ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0755 zone2ldif.pl          ${RPM_BUILD_ROOT}%{_bindir}/zone2ldif

%{__install} -m 0644 zone2ldap.1           ${RPM_BUILD_ROOT}%{_mandir}/man1
popd

# Fix IDNkit include path
IDNKITDIR="`pwd`/idnkit-install"
%{__perl} -i -pe "s+  -I${IDNKITDIR}%{_includedir}  ++g" \
	${RPM_BUILD_ROOT}%{_bindir}/isc-config.sh

# Fix library path
%{__perl} -i -pe "s+/lib+/%{_lib}+g" \
	${RPM_BUILD_ROOT}%{_bindir}/isc-config.sh

%{__chmod} +x  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*

%{__rm}    -f  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}
%{__rm}    -rf ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{nprog}/run


%pre
if ! getent group  %{nprog} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r -g 25 %{nprog}
fi
if ! getent passwd %{nprog} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -u 25 -g %{nprog} \
	-d %{_localstatedir}/lib/%{nprog} \
	-c "BIND Service user" -M         \
	-s /sbin/nologin %{nprog}
fi
exit 0			# Always pass

%pre lwresd
if ! getent group  %{nprog} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r -g 25 %{nprog}
fi
if ! getent passwd %{nprog} >/dev/null 2>&1; then
  /usr/sbin/useradd  -r -u 25 -g %{nprog} \
	-d %{_localstatedir}/lib/%{nprog} \
	-c "BIND Service user" -M         \
	-s /sbin/nologin %{nprog}
fi
exit 0			# Always pass


%post
/sbin/chkconfig --add %{nprog}

# Create default rndc.key
if [ $1 -eq 1 ]; then	# Install
  if [ ! -e %{_sysconfdir}/rndc.key ]; then
    %{_sbindir}/rndc-confgen -a -b 256 -u %{nprog}
  fi
  %{__chown} root:%{nprog} %{_sysconfdir}/rndc.key
  %{__chmod} 0640          %{_sysconfdir}/rndc.key
fi

%post libs -p /sbin/ldconfig

%post lwresd
/sbin/chkconfig --add %{lprog}

# Create default rndc.key
if [ $1 -eq 1 ]; then	# Install
  if [ ! -e %{_sysconfdir}/rndc.key ]; then
    %{_sbindir}/rndc-confgen -a -b 256 -u %{nprog}
  fi
  %{__chown} root:%{nprog} %{_sysconfdir}/rndc.key
  %{__chmod} 0640          %{_sysconfdir}/rndc.key
fi

%post lwresd-selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name}-lwresd restore
  /sbin/restorecon    %{_sysconfdir}/rndc.*
fi

%post selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name} restore
  /sbin/restorecon    %{_sysconfdir}/rndc.*
  /sbin/restorecon -R %{_sysconfdir}/%{nprog}
  /sbin/restorecon -R %{_localstatedir}/lib/%{nprog}
  /sbin/restorecon -R %{_localstatedir}/log/%{nprog}
  /sbin/restorecon -R %{_localstatedir}/run/%{nprog}
fi

%post utils
# New config location
if [ $1 -gt 1 ]; then	# Upgrade
  if [ -e %{_sysconfdir}/%{nprog}/rndc.key -a ! -e %{_sysconfdir}/rndc.key ]; then
    %{__mv} %{_sysconfdir}/%{nprog}/rndc.key %{_sysconfdir}/rndc.key
  fi
  if [ -e %{_sysconfdir}/%{nprog}/rndc.conf -a ! -e %{_sysconfdir}/rndc.conf ]; then
    %{__mv} %{_sysconfdir}/%{nprog}/rndc.conf %{_sysconfdir}/rndc.conf
  fi
fi


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{nprog} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{nprog}
fi

%preun lwresd
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{lprog} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{lprog}
fi

%preun sdb
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{nprog} stop >/dev/null 2>&1
fi


%postun
if [ $1 -ge 1 ]; then	# Upgrade
  [ -r %{_sysconfdir}/sysconfig/%{nprog} ] && . %{_sysconfdir}/sysconfig/%{nprog}
  if [[ "${ENABLE_SDB}" != [yY1]* ]]; then
    /sbin/service %{nprog} condrestart >/dev/null 2>&1 || :
  fi
fi

%postun libs -p /sbin/ldconfig

%postun lwresd
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{lprog} condrestart >/dev/null 2>&1 || :
fi

%postun sdb
if [ $1 -ge 1 ]; then	# Upgrade
  [ -r %{_sysconfdir}/sysconfig/%{nprog} ] && . %{_sysconfdir}/sysconfig/%{nprog}
  if [[ "${ENABLE_SDB}" = [yY1]* ]]; then
    /sbin/service %{nprog} condrestart >/dev/null 2>&1 || :
  fi
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT FAQ* README README.idnkit
%attr(750,root,%{nprog}) %dir %{_sysconfdir}/%{nprog}
%attr(640,root,%{nprog}) %config(noreplace) %{_sysconfdir}/%{nprog}/*.conf
%attr(640,root,%{nprog}) %{_sysconfdir}/%{nprog}/*.sample
%{_initrddir}/%{nprog}
%config(noreplace) %{_sysconfdir}/sysconfig/%{nprog}
%{_sbindir}/%{nprog}
%{_sbindir}/%{nprog}-checkconf
%{_mandir}/man5/%{nprog}.conf.5*
%{_mandir}/man8/%{nprog}-checkconf.8*
%{_mandir}/man8/%{nprog}.8*
%attr(750,root,%{nprog}) %dir %{_localstatedir}/lib/%{nprog}
%attr(-,root,%{nprog}) %config(noreplace) %{_localstatedir}/lib/%{nprog}/*
%attr(750,%{nprog},%{nprog}) %dir %{_localstatedir}/log/%{nprog}
%attr(750,%{nprog},%{nprog}) %dir %{_localstatedir}/run/%{nprog}

%files devel
%defattr(-,root,root)
%{_bindir}/isc-config.sh
%{_includedir}/%{name}9
%{_includedir}/dns
%{_includedir}/dst
%{_includedir}/idn
%{_includedir}/isc
%{_includedir}/isccc
%{_includedir}/isccfg
%{_includedir}/lwres
%{_includedir}/mdn
%{_libdir}/lib%{name}9.*a
%{_libdir}/lib%{name}9.so
%{_libdir}/libdns.*a
%{_libdir}/libdns.so
%{_libdir}/libidnkit.*a
%{_libdir}/libidnkit.so
%{_libdir}/libidnkitlite.*a
%{_libdir}/libidnkitlite.so
%{_libdir}/libidnkitres.*a
%{_libdir}/libidnkitres.so
%{_libdir}/libisc.*a
%{_libdir}/libisc.so
%{_libdir}/libisccc.*a
%{_libdir}/libisccc.so
%{_libdir}/libisccfg.*a
%{_libdir}/libisccfg.so
%{_libdir}/liblwres.*a
%{_libdir}/liblwres.so
%{_mandir}/man1/isc-config*.1*
%{_mandir}/man3/libidnkit*.3*
%{_mandir}/man3/libmdn*.3*
%{_mandir}/man3/lwres*.3*

%files doc
%defattr(-,root,root)
%doc doc_inst/arm doc_inst/draft doc_inst/misc doc_inst/rfc

%files libbind-devel
%defattr(-,root,root)
%{_includedir}/bind
%{_libdir}/lib%{name}.*a
%{_libdir}/lib%{name}.so

%files libs
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*
%{_libdir}/lib%{name}9.so.*
%{_libdir}/libdns.so.*
%{_libdir}/libidnkit.so.*
%{_libdir}/libidnkitlite.so.*
%{_libdir}/libidnkitres.so.*
%{_libdir}/libisc.so.*
%{_libdir}/libisccc.so.*
%{_libdir}/libisccfg.so.*
%{_libdir}/liblwres.so.*

%files lwresd
%defattr(-,root,root)
%{_initrddir}/%{lprog}
%config(noreplace) %{_sysconfdir}/sysconfig/%{nprog}
%{_sbindir}/%{lprog}
%{_mandir}/man8/%{lprog}.8*
%attr(750,%{nprog},%{nprog}) %dir %{_localstatedir}/log/%{nprog}
%attr(750,%{nprog},%{nprog}) %dir %{_localstatedir}/run/%{nprog}

%files lwresd-selinux
%defattr(-,root,root)

%files sdb
%defattr(-,root,root)
%doc COPYING.* ChangeLog.* README.{bdb,ldap*,mysql,sqlite,zone2ldap}
%doc dnszone.schema
%{_bindir}/ldap2zone
%{_bindir}/zone2bdb
%{_bindir}/zone2ldap
%{_bindir}/zone2ldif
%{_bindir}/zone2mysql
%{_bindir}/zone2pgsql
%{_bindir}/zone2sqlite
%{_sbindir}/%{nprog}_sdb
%{_mandir}/man1/zone2ldap.1*

%files selinux
%defattr(-,root,root)

%files utils
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/idn.conf
%config(noreplace) %{_sysconfdir}/idnalias.conf
%{_sysconfdir}/idn.conf.sample
%{_sysconfdir}/idnalias.conf.sample
%{_bindir}/dig
%{_bindir}/host
%{_bindir}/idnconv
%{_bindir}/mdnconv
%{_bindir}/nslookup
%{_bindir}/nsupdate
%{_bindir}/runidn
%{_bindir}/runmdn
%{_sbindir}/dnssec-keygen
%{_sbindir}/dnssec-signzone
%{_sbindir}/%{nprog}-checkzone
%{_sbindir}/%{nprog}-compilezone
%{_sbindir}/rndc
%{_sbindir}/rndc-confgen
%{_datadir}/idnkit
%{_mandir}/man1/dig.1*
%{_mandir}/man1/host.1*
%{_mandir}/man1/idnconv.1*
%{_mandir}/man1/mdnconv.1*
%{_mandir}/man1/nslookup.1*
%{_mandir}/man1/nsupdate.1*
%{_mandir}/man1/runidn.1*
%{_mandir}/man1/runmdn.1*
%{_mandir}/man5/idn*.5*
%{_mandir}/man5/mdn*.5*
%{_mandir}/man5/rndc*.5*
%{_mandir}/man8/dnssec-*.8*
%{_mandir}/man8/%{nprog}-checkzone.8*
%{_mandir}/man8/%{nprog}-compilezone.8*
%{_mandir}/man8/rndc*.8*


%changelog
* Thu May 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.2-1.P4
- New version (9.5.2-P4)

* Thu Mar 18 2010 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.2-1.P3
- New version (9.5.2-P3)

* Fri Jan 22 2010 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.2-1.P2
- New version (9.5.2-P2)

* Thu Nov 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.2-1.P1
- New version (9.5.2-P1)

* Fri Jul 31 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-2.P3
- New version (9.5.1-P3)

* Sun Mar 29 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-2.P2
- Fixed versioning (again)

* Fri Mar 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-1.P2
- New version (9.5.1-P2)

* Sat Jan 10 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-2.P1
- Fixed versioning

* Fri Jan 09 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-1.P1
- New version (9.5.1-P1)

* Sat Jan 03 2009 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.1-1
- New version (9.5.1)
- Updated sdb-ldap (1.1.1beta/cvs_head_20081205)

* Wed Aug 06 2008 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.0-2.P2
- Fixed library search path in isc-config.sh
- Fixed package dependencies for bind-devel

* Tue Aug 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 30:9.5.0-1.P2
- Upgrade version (9.5.0-P2)
- Updated sdb-ldap (1.1.1beta/cvs_head_20080802)
- Updated sdb-mysql (0.2)
- Added sdb-support for SQLite
- Moved rndc config to %{_sysconfdir}
- Activated build of resolver library (libbind)
- Rewritten for buildsystem

* Wed Oct 31 2007 peter.pramberger@member.fsf.org 9.3.4P1-13
- new version (9.3.4-P1)

* Mon Feb 19 2007 peter.pramberger@member.fsf.org 9.3.4-13
- added sdb-ldap TLS support

* Thu Jan 25 2007 peter.pramberger@member.fsf.org 9.3.4-12
- new version (9.3.4)

* Sat Jan 20 2007 peter.pramberger@member.fsf.org 9.3.3-12
- added sdb-support for DB4

* Thu Dec 14 2006 peter.pramberger@member.fsf.org 9.3.3-11
- new version (9.3.3)

* Fri Sep 08 2006 peter.pramberger@member.fsf.org
- new version (9.3.2-P1)

* Wed Dec 21 2005 peter.pramberger@member.fsf.org
- new version (9.3.2)

* Wed Oct 19 2005 peter.pramberger@member.fsf.org
- added sdb enable-notify patch
- added new subpackage for sdb-enabled bind
- added sdb-support for MySQL and PostgreSQL
- some bugfixes

* Sat Oct 15 2005 peter.pramberger@member.fsf.org
- added sdb-ldap rebind patch
- added sdb-ldap reload patch
- some spec file cleanups

* Fri Sep 09 2005 peter.pramberger@member.fsf.org
- created
